{ pkgs, config, ... }:

{
	home-manager.users."riley" = {
		programs.alacritty = {
			enable = true;
			settings = {

				window.padding = { x = 8; y = 8; };

				font = {
    				normal = { family = "Fira Code"; style = "Regular"; };
    				bold   = { family = "Fira Code"; style = "Medium"; };
				};

    			colors = let theme = (import ./colors.nix)."dark"; in {

        				primary = {
            				background = "#" + theme.background.primary;
            				foreground = "#" + theme.foreground.primary;
        				};

        				normal = {
							red  = "#" + theme.red.normal;
							blue = "#" + theme.blue.normal;
							magenta = "#" + theme.purple.normal;
        				};

        				bright = {
							red  = "#" + theme.red.bright;
							blue = "#" + theme.blue.bright;
							magenta = "#" + theme.purple.bright;
        				};
        			};
    			};

    		};
	};
}
